/*
 * $VER: SetSpecialTimecode.ma 1.0 (07.11.95)
 * Author: Ren Beaupoil, AMIGA-Magazin
 *
 * Setzt das als Argument angegebene Pattern als
 * sich wiederholenden Timecode.
 * Beispiel: 25 PAL Bilder pro Sekunde bei
 * Video lassen sich mit dem Pattern 23 erreichen.
 *
 *
 * Sets the pattern, which has been passed as argument,
 * as timecode.
 * Example: 25 fps per second in PAL can be set with
 * the pattern 23.
 *
 */

OPTIONS RESULTS

ARG Pattern

ADDRESS MABROADCAST

GETPROJECTPORT             /* Get the name of the arexx port  */
                           /* of the actual project in RESULT */

ADDRESS value RESULT       /* Address the actual project */

Len=LENGTH(Pattern)        /* Length of Pattern */
DO l=1 TO Len              /* Extract Timecodes */
   tc.l=SUBSTR(Pattern,l,1)
END

DESELECTALL
GETPROJECTINFO FRAMES
Frames=RESULT

Start=0
DO l=1 TO len                /* Set Timecodes */
    DESELECTALL
    Start=Start+1
    DO i=Start to Frames by Len
        SELECTRANGE FROM i TO i
    END
    SETTIMECODE TC tc.l
END
DESELECTALL
EXIT 0
